# -*- encoding: utf-8 -*-
# stub: flickru 0.6.5 ruby lib

Gem::Specification.new do |s|
  s.name = "flickru".freeze
  s.version = "0.6.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jesus Pardillo".freeze]
  s.date = "2018-12-02"
  s.description = "Command-line tool that automatises photo/video uploads to Flickr.\n\nEntering 'flickru <directory>' in your command line, any photos under 'directory' (and subdirs)\nare uploaded to your Flickr account (interactively entered the first time you start flickru).\n\nPhotos are identified by case-insensitive extensions: GIF, JPEG, JPG, PNG, and TIFF.\nVideos are identified by case-insensitive extensions: AVI, MPEG, and MPG.\n\nflickru automatically sets the following Flickr metadata:\n (1) date taken: file last-modification time, unless JPEG/TIFF Exif metadatum\n     'date_time_original' is found (Flickr understands it natively).\n (2) privacy policy: private, visible by friends & family, hidden for public\n     searches\n (3) safety level: safe\n (4) permissions: friends & family can add comments to the photo and its notes;\n     nobody can add notes and tags to the photo\n (5) description: for videos longer than 90s (Flickr's longest allowed duration)\n     but shorter than 500MB (Flickr's maximum permisible size), it will contain\n     an annotation about its large duration.\n (6) title: extracted from the parent directory name\n (7) geolocation & accuracy: extracted from the parent directory name, unless\n     JPEG/TIFF Exif GPS metadata is found (Flickr understands them natively).\n\nBefore uploading photos, please, make sure that you have correctly named each\nphotos parent directory according to the name format 'TITLE[@LOCATION[#PRECISION]]',\nwhere:\n (1) TITLE is the desired title for the photos stored in the directory. If no\n     LOCATION is given, flickru tries to extract the location from Wikipedia\n     page TITLE.\n (2) LOCATION is the location of the photos, specified as:\n   (a) the Wikipedia page name (whitespaces allowed) of the location or\n   (b) its coordinates LATITUDE,LONGITUDE\n (3) PRECISION is the Flickr geolocation precision. Flickru sets it to one of\n     the following case insentitive literals: 'street', 'city', 'region',\n     'country', 'world'.\n\nPhotos are classified into photosets. If the photoset does not exist, flickru\ncreates it. This photoset is named after its grandparent directory. The\nphotoset is arranged by 'date taken' (older first).\n\nTo see some examples on the directory structure recognised by flickru, please\nexplore the subdirectories under 'var/ts'.\n\nGitHub  : http://github.com/jesuspv/flickru\nRubyGems: http://rubygems.org/gems/flickru\n".freeze
  s.email = ["dev@jesuspardillo.com".freeze]
  s.executables = ["flickru".freeze, "geowiki".freeze]
  s.extra_rdoc_files = ["README".freeze]
  s.files = ["README".freeze, "bin/flickru".freeze, "bin/geowiki".freeze]
  s.homepage = "http://github.com/jesuspv/flickru".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Command-line Flickr upload automator".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<bundler>.freeze, ["~> 1.13", ">= 1.13.1"])
    s.add_runtime_dependency(%q<colorize>.freeze, ["~> 0.8", ">= 0.8.1"])
    s.add_runtime_dependency(%q<escape>.freeze, ["~> 0.0", ">= 0.0.4"])
    s.add_runtime_dependency(%q<exifr>.freeze, ["~> 1.2", ">= 1.2.5"])
    s.add_runtime_dependency(%q<flickraw-cached>.freeze, ["~> 20120701"])
    s.add_runtime_dependency(%q<rubygems-update>.freeze, ["~> 2.6", ">= 2.6.7"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.5", ">= 3.5.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.12", ">= 0.12.0"])
    s.add_runtime_dependency(%q<unicode_utils>.freeze, ["~> 1.4", ">= 1.4.0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.13", ">= 1.13.1"])
    s.add_dependency(%q<colorize>.freeze, ["~> 0.8", ">= 0.8.1"])
    s.add_dependency(%q<escape>.freeze, ["~> 0.0", ">= 0.0.4"])
    s.add_dependency(%q<exifr>.freeze, ["~> 1.2", ">= 1.2.5"])
    s.add_dependency(%q<flickraw-cached>.freeze, ["~> 20120701"])
    s.add_dependency(%q<rubygems-update>.freeze, ["~> 2.6", ">= 2.6.7"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.5", ">= 3.5.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.12", ">= 0.12.0"])
    s.add_dependency(%q<unicode_utils>.freeze, ["~> 1.4", ">= 1.4.0"])
  end
end
